"use strict";

// src/worker.ts
var import_shiki = require("shiki");
var import_synckit = require("synckit");
var h;
async function handler(command, options) {
  if (command === "getHighlighter") {
    if (h)
      return;
    h = await (0, import_shiki.getHighlighter)(options);
  } else if (command === "codeToHtml") {
    const { code, lang, theme, lineOptions } = options;
    const loadedLanguages = h.getLoadedLanguages();
    if (loadedLanguages.includes(lang))
      return h.codeToHtml(code, { lang, theme, lineOptions });
    else
      return h.codeToHtml(code, { lang: "text", theme, lineOptions });
  }
}
(0, import_synckit.runAsWorker)(handler);
