// src/worker.ts
import { getHighlighter } from "shiki";
import { runAsWorker } from "synckit";
var h;
async function handler(command, options) {
  if (command === "getHighlighter") {
    if (h)
      return;
    h = await getHighlighter(options);
  } else if (command === "codeToHtml") {
    const { code, lang, theme, lineOptions } = options;
    const loadedLanguages = h.getLoadedLanguages();
    if (loadedLanguages.includes(lang))
      return h.codeToHtml(code, { lang, theme, lineOptions });
    else
      return h.codeToHtml(code, { lang: "text", theme, lineOptions });
  }
}
runAsWorker(handler);
